View Issue Details

IDProjectCategoryView StatusLast Update
0003746FreeCADBugpublic2020-05-26 07:45
Reporterfreman Assigned ToopenBrain  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version0.19 
Summary0003746: inconsistent constrain tool behaviour
DescriptionUsing the symmetry tool on three points has different effects depending upon whether the tool is already active or is selected after the points have been selected.

What appears to be expected behaviour ( according to hover hint) : select two points then a third about which a rotational symmetry of the other two will be established.

This works as expected for pre-selection of the points.

However, once the tool is active it is the second which acts as pivot.

This is inconsistent and especially confusing when trying to understand how this tool works.
Steps To ReproduceBug described and trivial fcstd test file on the forum.

https://forum.freecadweb.org/viewtopic.php?f=3&t=32997

There is also a suggestion for a more accurate hover hint , since this tool applies different symmetries depending upon whether a line or point is chose as pivot. This should me made clear to the user.

Additional InformationOS: Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15303 (Git)
Build type: Release
Branch: master
Hash: 6199c95fd71eacb9cc168426e55254aa79a42034
Python version: 2.7.15
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedKingdom (en_GB)
TagsNo tags attached.
FreeCAD Information

Relationships

has duplicate 0004144 closedabdullah Sketcher Sequence of clicks for creating symmetry differs between "select element first" and "constraints continue mode" 

Activities

freman

2018-12-25 20:18

reporter   ~0012342

suggested hover hint clarification. See forum for more detail on differences in the symmetry applied in the two cases, which is clarified by the new text.

"Create a symmetry constraint between two points with respect to a line or a third point (S)"


"Create a symmetry constraint between two points: a reflection symmetry with respect to a line, or a rotational symmetry about a third point. (S)"

wmayer

2019-02-23 15:33

administrator   ~0012732

See CmdSketcherConstrainSymmetric and DrawSketchHandlerGenConstraint

openBrain

2020-04-14 15:37

developer   ~0014351

A dedicated thread has been open with a poll to get community feedback.

openBrain

2020-04-15 13:17

developer   ~0014356

PR submitted

guest

2020-05-09 22:55

viewer   ~0014409

Fix committed to master branch.

Related Changesets

FreeCAD: master b21cb8ab

2020-04-15 13:14:19

0penBrain


Committer: abdullahtahiriyo Details Diff
[Sketcher] Harmonize points selection order for symmetry constraint ; fixes 0003746 Affected Issues
0003746
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File

Issue History

Date Modified Username Field Change
2018-12-25 17:53 freman New Issue
2018-12-25 20:18 freman Note Added: 0012342
2019-02-23 15:33 wmayer Target Version => 0.19
2019-02-23 15:33 wmayer Note Added: 0012732
2020-04-14 15:37 openBrain Note Added: 0014351
2020-04-14 15:37 openBrain Tag Attached: #pending-forum
2020-04-15 13:17 openBrain Note Added: 0014356
2020-05-03 11:12 openBrain Assigned To => openBrain
2020-05-03 11:12 openBrain Status new => assigned
2020-05-09 22:55 Changeset attached => FreeCAD master b21cb8ab
2020-05-09 22:55 guest Note Added: 0014409
2020-05-26 07:43 openBrain Relationship added has duplicate 0004144
2020-05-26 07:44 openBrain Tag Detached: #pending-forum
2020-05-26 07:45 openBrain Status assigned => closed
2020-05-26 07:45 openBrain Resolution open => fixed